Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Change yard to be required as needed

* This appears to cause some conflicts with the yard rake task,
  while deferring the require statement fixes the conflict.
  • Loading branch information...
commit 979d93d78c0a7c165d37572bf049268a142b4c67 1 parent a3bc3ea
@dkubb authored
View
1  lib/yardstick.rb
@@ -1,5 +1,4 @@
require 'pathname'
-require 'yard'
module Yardstick
VERSION = '0.6.0'.freeze
View
2  lib/yardstick/processor.rb
@@ -1,3 +1,5 @@
+require 'yard'
+
module Yardstick
class Processor
View
1  spec/spec_helper.rb
@@ -2,6 +2,7 @@
require 'rubygems'
require 'spec/autorun'
+require 'yard'
require 'yardstick'
Pathname.glob(Yardstick::ROOT.join('lib', '**', '*.rb').to_s).sort.each do |file|
Please sign in to comment.
Something went wrong with that request. Please try again.